%define base_name	kde-styles
%define theme_name	knifty
%define name		%base_name-%theme_name

Name: %name
Version: 0.3.4
Release: alt1

Group: Graphical desktop/KDE
Summary: Native Kwin window decoration for KDE 3.x
License: GPL
Url: http://kde-look.org/content/show.php?content=7290

Requires: kdelibs-gcc_compiled = %__gcc_version_base

Source: %theme_name-%version.tar.bz2

# Automatically added by buildreq on Thu Aug 28 2003
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdebase-devel kdelibs-devel libGLU libGLwrapper libart_lgpl-devel libarts-devel libaudio libexpat libjpeg-devel liblcms libmng libpng-devel libqt3-devel libstdc++-devel qt3-designer zlib-devel
BuildRequires: kdelibs-gcc_compiled = %__gcc_version_base

%description
Native Kwin window decoration for KDE 3.x

%prep
%setup -q -n %theme_name-%version
[ -f Makefile.dist ] && make -f Makefile.dist

%build
export CFLAGS="%optflags" CPPFLAGS="%optflags" CXXFLAGS="%optflags"
%configure \
    --disable-debug \
    --disable-rpath \
    --enable-final
%make

%install
%makeinstall

%files
%doc AUTHORS ChangeLog README TODO
%dir %_libdir/kde3/
%_libdir/kde3/kwin_%{theme_name}*
%dir %_datadir/apps/kwin/
%_datadir/apps/kwin/*.desktop

%changelog
* Thu Aug 28 2003 Sergey V Turchin <zerg at altlinux dot org> 0.3.4-alt1
- build for ALT

* Mon Aug 25 2003 Laurent Culioli <laurent@pschit.net> 0.3.4-1mdk
- initial release

